%define upstream_name	 SQL-Abstract
%define upstream_version 2.000001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate SQL from Perl data structures
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat) >= 0.120.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Sub::Quote) >= 2.0.1
BuildRequires: perl(Test::Builder::Module) >= 0.840.0
BuildRequires: perl(Test::Deep) >= 0.101.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Balanced) >= 2.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module was inspired by the excellent L<DBIx::Abstract>.
However, in using that module I found that what I really wanted
to do was generate SQL, but still retain complete control over my
statement handles and use the DBI interface. So, I set out to
create an abstract SQL generation module.

While based on the concepts used by DBIx::Abstract, there are
several important differences, especially when it comes to WHERE
clauses. I have modified the concepts used to make the SQL easier
to generate from Perl data structures and, IMO, more intuitive.
The underlying idea is for this module to do what you mean, based
on the data structures you provide it. The big advantage is that
you don't have to modify your code every time your data changes,
as this module figures it out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i -e '/^inc\//d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1820548
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 2.0.1-1.mga9
+ Revision: 1690363
- update to 2.000001

* Wed Jun 03 2020 tv <tv> 1.870.0-1.mga8
+ Revision: 1589870
- update to 1.87

* Wed Feb 12 2020 umeabot <umeabot> 1.860.0-3.mga8
+ Revision: 1506166
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.860.0-2.mga7
+ Revision: 1285966
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 1.860.0-1.mga7
+ Revision: 1243135
- update to 1.86

* Sun Jan 28 2018 shlomif <shlomif> 1.850.0-1.mga7
+ Revision: 1197667
- update to 1.85

* Mon Jul 31 2017 sander85 <sander85> 1.840.0-1.mga7
+ Revision: 1133016
- update to 1.84

* Sun Jun 19 2016 pterjan <pterjan> 1.810.0-3.mga6
+ Revision: 1033326
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.810.0-2.mga6
+ Revision: 966861
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.810.0-1.mga6
+ Revision: 846975
- update to 1.81

* Wed Oct 15 2014 umeabot <umeabot> 1.780.0-5.mga5
+ Revision: 739510
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.780.0-4.mga5
+ Revision: 733410
- add exclude

* Sat Sep 27 2014 tv <tv> 1.780.0-3.mga5
+ Revision: 727726
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.780.0-2.mga5
+ Revision: 686139
- Mageia 5 Mass Rebuild

* Wed May 28 2014 sander85 <sander85> 1.780.0-1.mga5
+ Revision: 627217
- update to 1.78

* Sun Feb 09 2014 sander85 <sander85> 1.770.0-1.mga5
+ Revision: 587657
- update to 1.77

* Sat Oct 19 2013 umeabot <umeabot> 1.740.0-2.mga4
+ Revision: 527278
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.740.0-1.mga4
+ Revision: 439844
- update to 1.74

* Sun Jan 13 2013 umeabot <umeabot> 1.730.0-2.mga3
+ Revision: 372434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.730.0-1.mga3
+ Revision: 270331
- update to 1.73

* Sat Jan 22 2011 jquelin <jquelin> 1.720.0-1.mga1
+ Revision: 32372
- mageia rebuild
- imported package perl-SQL-Abstract


* Sun Dec 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.720.0-1mdv2011.0
+ Revision: 625281
- update to new version 1.72

* Mon Nov 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.710.0-1mdv2011.0
+ Revision: 597763
- update to 1.71

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.670.0-1mdv2011.0
+ Revision: 552627
- update to 1.67

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.650.0-1mdv2010.1
+ Revision: 536211
- update to 1.65

* Wed Mar 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1.630.0-1mdv2010.1
+ Revision: 527171
- update to 1.63

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.620.0-1mdv2010.1
+ Revision: 519956
- update to 1.62

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 1.610.0-1mdv2010.1
+ Revision: 502107
- update to 1.61

* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1.600.0-1mdv2010.0
+ Revision: 447607
- update to 1.60

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.580.0-1mdv2010.0
+ Revision: 432827
- update to 1.58

* Fri Sep 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.570.0-1mdv2010.0
+ Revision: 430469
- update to 1.57

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.560.0-1mdv2010.0
+ Revision: 404412
- rebuild using %%perl_convert_version

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.56-1mdv2010.0
+ Revision: 383541
- update to new version 1.56

* Tue May 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.55-1mdv2010.0
+ Revision: 377515
- update to new version 1.55

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.54-1mdv2010.0
+ Revision: 373792
- update to new version 1.54

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.53-1mdv2010.0
+ Revision: 370178
- update to new version 1.53

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.50-1mdv2009.1
+ Revision: 354251
- new version

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 233435
- new version

* Wed Jul 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.0
+ Revision: 233039
- new version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2008.0
+ Revision: 23909
- 1.22


* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk
- New release 1.21

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdk
- New release 1.20
- fix source URL

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdk
- new release
- rewrite spec file (cpan2rpm sux white bears)

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 1.18-1mdk
- Initial build.

